ppw/urls.py
from django.urls import path, include
from .views import story_1

urlpatterns = [
    path('', story_1, name='story_1'),
]

ppw1/urls.py
from django.urls import path, include
from .views import story3_1, story3_2, story3_3, story3_4

urlpatterns = [
    path('', story3_1, name='home'),
    path('profil', story3_2, name='profil'),
    path('portfolio', story3_3, name='portfolio'),
    path('cv', story3_4, name='cv'),
]

ppw_story5/urls.py
from django.urls import path
from . import views

app_name = 'ppw_story5'
urlpatterns = [
    path('add', views.formMatkul, name="form_url"),
    path('detail/<int:id>', views.detailMatkul, name="detail_url"),
    path('list-matkul', views.dataMatkul, name="listmatkul_url"),
]

ppw_story6/urls.py
from django.urls import path
from ppw_story6.views import formKegiatan, listKegiatan

urlpatterns = [
    path('form-kegiatan/', formKegiatan),
    path('list-kegiatan/', listKegiatan),
]

ppw_story7/urls.py
from django.urls import path, include
from .views import accordion

urlpatterns = [
    path('accordion', accordion, name='accordion'),
]

ppw_story8/urls.py
from django.urls import path, include
from . import views

urlpatterns = [
    path('cari-buku', views.cariBuku, name='buku'),
    path('data', views.dataBuku, name="data")
]

ppw_story9/urls.py
from django.urls import path, include
from . import views

urlpatterns = [
    path('login', views.logIn),
    path('register', views.register),
    path('greetings', views.greetings),
    path('logout', views.logOut),
]

story1_project/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('ppw/', include('ppw.urls')),
    path('', include('ppw1.urls')),
    path('', include('ppw_story5.urls')),
    path('', include('ppw_story6.urls')),
    path('', include('ppw_story7.urls')),
    path('', include('ppw_story8.urls')),
    path('', include('ppw_story9.urls')),
]

ppw/models.py
from django.db import models

# Create your models here.

ppw1/models.py
from django.db import models

# Create your models here.

ppw_story5/models.py
from django.db import models
from django.core.validators import MaxValueValidator, MinValueValidator

# Create your models here.
SEMESTER_CHOICES = (
    ("Gasal 2020/2021","Gasal 2020/2021"),
    ("Genap 2019/2020","Genap 2019/2020"),
    ("Gasal 2019/2020","Gasal 2019/2020"),
    ("Lainnya","Lainnya")
)
class MataKuliah(models.Model):
    nama_matkul = models.CharField('Mata Kuliah', max_length = 120, null = True)
    dosen_pengajar = models.CharField('Dosen Pengajar', max_length = 120, null = True)
    jmlh_sks = models.IntegerField('Jumlah SKS',
        validators = [
            MaxValueValidator(24),
            MinValueValidator(1)
        ]
    )
    deskripsi = models.CharField('Deskripsi', max_length = 500)
    semester_tahun = models.CharField('Semester Tahun', max_length = 15, choices = SEMESTER_CHOICES)
    ruang_kuliah = models.CharField('Ruang Kelas', max_length = 120, null = True)

    def __str__(self):
        return f'{self.nama_matkul}'

ppw_story6/models.py
from django.db import models

# Create your models here.

ppw_story7/models.py
from django.db import models

# Create your models here.

ppw_story8/models.py
from django.db import models

# Create your models here.

ppw_story9/models.py
from django.db import models

# Create your models here.

ppw_story5/forms.py
from django.forms import ModelForm
from .models import MataKuliah

class FormMatkul(ModelForm):
    def __init__ (self, *args, **kwargs) :
        super().__init__(*args, **kwargs)
        for _, value in self.fields.items():
            value.widget.attrs['placeholder'] = value.help_text
    
    class Meta:
        model = MataKuliah
        fields = '__all__'

ppw/views.py
from django.shortcuts import render
from django.http import HttpResponse

# Create your views here.
def story_1(request):
    return render(request,"story_1.html")

ppw1/views.py
from django.shortcuts import render

# Create your views here.
def story3_1(request):
    return render(request,"pages/story3_1.html")

def story3_2(request):
    return render(request,"pages/story3_2.html")

def story3_3(request):
    return render(request, "pages/story3_3.html")

def story3_4(request):
    return render(request, "pages/story3_4.html")

ppw_story5/views.py
from django.shortcuts import render, redirect
from django.http import HttpResponseRedirect
from .models import MataKuliah
from .forms import FormMatkul

# Create your views here.
def formMatkul(request):
    form = FormMatkul(request.POST or None)
    data = MataKuliah.objects.all()
    if (form.is_valid() and request.method == 'POST') :
        form.save()
        return HttpResponseRedirect('/list-matkul')

    else :
        return render(request, 'form_matkul.html', {'form' : form, 'data' : data})

def dataMatkul(request):
    data = MataKuliah.objects.all()
    if (request.method == 'POST'):
        MataKuliah.objects.get(id=request.POST['id']).delete()
    return render(request, 'data_matkul.html', {'data':data})
    
def detailMatkul(request, id):
    data = MataKuliah.objects.get(pk=id)
    if (request.method == 'POST'):
        MataKuliah.objects.get(id=request.POST['id']).delete()
        return HttpResponseRedirect('/list-matkul')
    return render(request, 'detail_matkul.html', {'data':data})

ppw_story6/views.py
from django.shortcuts import render
from django.http import HttpResponse

# Create your views here.
def formKegiatan(request):
    response = {}
    return render(request, 'form_kegiatan.html', response)

def listKegiatan(request):
    response = {}
    return render(request, 'list_kegiatan.html', response)

ppw_story7/views.py
from django.shortcuts import render

# Create your views here.
def accordion(request) :
    return render(request, "story7.html")

ppw_story8/views.py
from django.shortcuts import render
from django.http import JsonResponse
import requests

# Create your views here.
def cariBuku(request):
    return render(request, 'cariBuku.html')

def dataBuku(request):
    key = request.GET['q']
    url = 'https://www.googleapis.com/books/v1/volumes?q=' + key
    response = requests.get(url)
    response_json = response.json()
    return JsonResponse(response_json, safe=False)

ppw_story9/views.py
from django.shortcuts import render, redirect
from django.contrib.auth.forms import UserCreationForm, AuthenticationForm
from django.contrib.auth import login, logout
from django.contrib import messages
# Create your views here.
def logIn(request) :
    if request.method == 'POST' :
        form = AuthenticationForm(data=request.POST)
        if form.is_valid():
            user = form.get_user()
            login(request, user)
            return redirect('/greetings')
        return render(request, 'login.html', {'form':form})
    else :
        form = AuthenticationForm()
        return render(request, 'login.html', {'form':form})

def logOut(request):
    logout(request)
    return redirect('/')

def register(request):
    if request.method == 'POST':
        form = UserCreationForm(data=request.POST)
        if form.is_valid():
           user = form.save()
           login(request, user)
           return redirect('/greetings')
        else:
            return render(request, 'register.html', {'form':form})
    else:
        form = UserCreationForm()
    return render(request, 'register.html', {'form':form})

def greetings(request):
    return render(request, 'greetings.html')

ppw/templates/story_1.html
{% load static %}
<!DOCTYPE html>
<html>
    <head>
        <title>Basyira Sabita</title>
        <style>
            table, th, td {
                border: 1px solid black;
                border-collapse: collapse;
            }
        </style>
    </head>
    <body>
        <h1>Welcome to my page!</h1>
        <p align="justify">Halo, nama saya Basyira Sabita. <br>Saya merupakan mahasiswa tingkat kedua Fakultas Ilmu Komputer UI. <br>Saya berharap saya bisa mengasah kemampuan serta mengembangkan skill saya dalam bidang IT.</p>
        <table style="widows: 20%">
            <tr>
                <img src="{% static 'images/bita.jpg' %}" alt="Basyira Sabita" width="120" height="160">
            </tr>
            <tr>
                <td>Nama</td>
                <td> Basyira Sabita</td>
            </tr>
            <tr>
                <td>NPM</td>
                <td>1906400034</td>
            </tr>
            <tr>
                <td>Angkatan</td>
                <td>2019</td>
            </tr>
            <tr>
                <td>Hobi</td>
                <td>Nonton film</td>
            </tr>
            <tr>
                <td>Riwayat Pendidikan</td>
                <td>
                    <ol>
                        <li>SD Pembangunan Jaya (2007-2013)</li>
                        <li>SMP Labschool Kebayoran (2013-2016)</li>
                        <li>SMA Labschool Kebayoran (2016-2019)</li>
                    </ol>
                </td>
            </tr>
            <tr>
                <td>Media Sosial</td>
                <td>@basyirasabita (IG)</td>
            </tr>
        </table>
        <a  href="/">
            <img src="{%static 'images/button.png' %}" width="100" height="60">
        </a>
    </body>
</html>

ppw1/templates/base_template.html
{% load static %}
<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" href="{% static 'css/style.css'%}">

    {% block meta %}
    {% endblock meta %}
    </head>
    <body>
        <div class="header">
          <nav class="navbar navbar-light">
            <a class="navbar-brand" href="{% url 'home'%}">Basyira Sabita</a>
            
            <div class="collapse navbar-collapse" id="navbarSupportedContent"></div>
              <form class="form-inline">
                <a class="btn btn-sm btn-secondary btn1" type="button" href="/">Home</a>
                <a class="btn btn-sm btn-secondary btn1" type="button" href="/profil">Profil</a>
                <a class="btn btn-sm btn-secondary btn1" type="button" href="/portfolio">Portfolio</a>
                <a class="btn btn-sm btn-secondary btn1" type="button" href="/cv">CV</a>
                <a class="btn btn-sm btn-secondary btn1" type="button" href="/ppw">Story 1</a>
                <a class="btn btn-sm btn-secondary btn1" type="button" href="/list-matkul">Story 5</a>
                <a class="btn btn-sm btn-secondary btn1" type="button" href="/accordion">Story 7</a>
                <a class="btn btn-sm btn-secondary btn1" type="button" href="/cari-buku">Story 8</a>
                <a class="btn btn-sm btn-secondary btn1" type="button" href="/login">LOGIN</a>
              </form>
          </div>
          </nav>
          <!--<nav class="navbar navbar-light">
            <a class="navbar-brand" href="{% url 'home'%}">Basyira Sabita</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
              <span class="navbar-toggler-icon"></span>
            </button>
          
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
              <ul class="navbar-nav mr-auto">
                <li class="nav-item">
                  <a class="nav-link" href="/">Home</a>
                </li>
                <li class="nav-item dropdown">
                  <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    Tentang Saya
                  </a>
                  <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="/profil">Profil</a>
                    <a class="dropdown-item" href="/portfolio">Portfolio</a>
                    <a class="dropdown-item" href="/cv">CV</a>
                  </div>
                </li>
                <li class="nav-item dropdown">
                  <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    Story
                  </a>
                  <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="/ppw">Story 1</a>
                    <a class="dropdown-item" href="/list-matkul">Mata Kuliah</a>
                    <a class="dropdown-item" href="/accordion">Accordion</a>
                    <a class="dropdown-item" href="/cari-buku">Cari Buku</a>
                  </div>
                </li>
                <li class="nav-item">
                  <a class="nav-link" href="/login">LOGIN</a>
                </li>
              </ul>
            </div>
          </nav>-->
        </div>
    {% block content %}
    {% endblock content %}
        <div class="footer">
            <div class="row">
                <div class="col kontak">
                    <h5>Contact Me!</h5>
                </div>
            <div class="col d-flex justify-content-right sosmed1">
                <div class="col d-flex justify-content-space-evenly sosmed">
                    <a href="https://instagram.com/basyirasabita">
                       <img src="{% static 'images/198px-Instagram_logo_2016.svg.png' %}" width="35" height="35">
                    </a>
                </div>
                <div class="col d-flex justify-content-space-evenly sosmed">
                    <a href="https://gitlab.com/basyira.sabita">
                        <img src="{% static 'images/gitlablogo.png'%}" width="35" height="35">
                    </a>
                </div>
                <div class="col d-flex justify-content-space-evenly sosmed">
                    <a href="https://linkedin.com">
                        <img src="{% static 'images/iconfinder_square-linkedin_317725 (1) 1.png' %}" width="35" height="35">
                    </a>
                </div>
            </div>
            </div>
        </div>
    
        <!-- Optional JavaScript -->
    `   <!-- jQuery first, then Popper.js, then Bootstrap JS -->
        <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
        <script src="../static/scripts/app.js"></script>
        {% block script %}
        {% endblock script %}
    </body>
</html>

ppw1/templates/pages/story3_1.html
{% extends 'base_template.html'%}
{% load static %}

{% block meta %}
    <title>Basyira Sabita</title>
{% endblock meta %}

{% block content %}
    <div class="intro">
        <div class="main">
            <div class="row row-1">
                <div class="col-6 py-5 title">
                      <h1><b>Basyira Sabita</b></h1>
                      <p>1906400034 - Fasilkom UI 2019</p>
                </div>
                <div class="col-6 foto">
                    <img src="{% static 'images/foto.png' %}" alt="Basyira Sabita" width="350" height="350">
                </div>
            </div>
        </div>
    </div>
{% endblock content %}

ppw1/templates/pages/story3_2.html
{% extends 'base_template.html'%}
{% load static %}

{% block meta %}
    <title>Basyira Sabita</title>
{% endblock meta %}

{% block content%}
<section id="tentangsaya">
    <div class="tentangsaya">
        <div class="judul"><h1><b>TENTANG SAYA</b></h1></div>
        <div class="row align-items-center row1">
            <div class="col-lg-5 foto1">
                <img src="{% static 'images/foto-profil.png'%}" width="270" height="375">
            </div>
            <div class="col-lg-7">
                <div class="col deskripsi">
                    <p>Basyira Sabita, akrab disapa Bita, merupakan mahasiswi jurusan Ilmu Komputer di Fasilkom UI. Saya lahir dan besar di Jakarta. Tahun ini saya genap berusia 19 tahun. Saya merupakan pribadi yang bertanggung jawab, memiliki rasa ingin tahu yang tinggi, serta dapat diandalkan.</p>
                </div>
                <img src="{% static 'images/Line1.png'%}" width="542">
                <h6><b>Riwayat Pendidikan</b></h6>
                    <div class="row rriwayat">
                        <div class="col-6 riw1">
                            <img src="{% static 'images/UI.png'%}" width="241" height="52">
                        </div>
                        <div class="col-6 riw2">
                            <img src="{% static 'images/SMALabsky.png'%}" width="241" height="52">

                        </div>
                    </div>
                    <div class="row rriwayat">
                        <div class="col-6 riw1">
                            <img src="{% static 'images/SMPLabsky.png'%}" width="241" height="52">
                        </div>
                        <div class="col-6 riw2">
                            <img src="{% static 'images/SDPJ.png'%}" width="241" height="52">
                        </div>
                    </div>
            </div>
            </div>
        </div>
        <div class="row rowa">
            <div class="col d-flex justify-content-center">
                    <img src="{% static 'images/Line2.png'%}" width="890">
            </div>
        </div>
</section>
<section id="minat">
    <div class="minat">
        <div class="judul"><h1><b>MINAT</b></h1></div>
        <div class="row row2">
            <div class="col d-flex justify-content-center">
                <img src="{% static 'images/menari.png'%}" width="208" height="154">
            </div>
            <div class="col d-flex justify-content-center">
                <img src="{% static 'images/fotografi.png'%}" width="208" height="154">
            </div>
        </div>
        <div class="row row3">
            <div class="col d-flex justify-content-center">
                    <img src="{% static 'images/webdesign.png'%}" width="208" height="154">

            </div>
        </div>
        <div class="row rowa">
            <div class="col d-flex justify-content-center">
                    <img src="{% static 'images/Line2.png'%}" width="890">
            </div>
        </div>
    </div>
</section> 
<section id="skill">
    <div class="skill">
        <div class="judul">
          <h1><b>SKILL</b></h1>  
        </div>
        <div class="row align-items-center rowskill">
            <div class="col d-flex justify-content-center">
                <img src="{% static 'images/figma.png'%}" width="154" height="171">
            </div>
            <div class="col d-flex justify-content-center">
                <img src="{% static 'images/illustrator.png'%}" width="154" height="171">
            </div>
            <div class="col d-flex justify-content-center">
                <img src="{% static 'images/Photoshop.png'%}" width="154" height="171">
            </div>
            <div class="col d-flex justify-content-center">
                <img src="{% static 'images/premierpro.png'%}" width="154" height="171">
            </div>
        </div>
        <div class="row rowa">
            <div class="col d-flex justify-content-center">
                    <img src="{% static 'images/Line2.png'%}" width="890">
            </div>
        </div>
    </div>
</section>
<section id="pengalaman">
        <div class="judul">
            <h1><b>PENGALAMAN</b></h1>
        </div>
        <div class="row row4">
            <div class="col d-flex justify-content-center">
                <img src="{% static 'images/compfest.png'%}" width="589" height="202">
            </div>
        </div> 
        <div class="row row5">
            <div class="col d-flex justify-content-center">
                <img src="{% static 'images/teana.png'%}" width="589" height="213">
            </div>
        </div> 
        <div class="row row6">
            <div class="col d-flex justify-content-center">
                <img src="{% static 'images/gastra.png'%}" width="589" height="213"> 
            </div>
        </div>            
    </div>
</section>
{% endblock content %}

ppw1/templates/pages/story3_3.html
{% extends 'base_template.html'%}
{% load static %}

{% block meta %}
    <title>Basyira Sabita</title>
{% endblock meta %}

{% block content%}
    <section id="portfolio">
        <div class="main">
          <div class="row rowb">
            <div class="col d-flex justify-content-center">
                <h1><b>PORTFOLIO</b></h1> 
            </div>
          </div>
          <div class="row row4">
            <div class="col d-flex justify-content-center">
              <img src="{% static 'images/lambid-danlog.png'%}" width="324" height="418">
            </div>
        </div>
        <div class="row row5">
          <div class="col d-flex justify-content-center">
            <img src="{% static 'images/lambid-edu.png'%}" width="420" height="594">
          </div>
        </div>
    </section>
{% endblock content %}

ppw1/templates/pages/story3_4.html
{% extends 'base_template.html'%}
{% load static %}

{% block meta %}
    <title>Basyira Sabita</title>
{% endblock meta %}
{% block content%}
    <section id="maintenance">
        <div class="maintenance">
            <div class="row rowc">
                <div class="col d-flex justify-content-center resume">
                    <h1><b>Curriculum Vitae</b></h1>
                </div>
            </div>
            <div class="row rowc">
                <div class="col d-flex justify-content-center download">
                    <h3>You can download my CV by clicking the button below<br>Thank you!</h3>
                </div>
            </div>
            <div class="row rowc">
                <div class="col d-flex justify-content-center download">
                      <a href="{% static 'images/CV_BasyiraSabita.pdf'%}" download="CV_BasyiraSabita">
                        <button type="button">Download</button>
                      </a>    
                </div>
            </div>
        </div>
    </section>
{% endblock content%}

ppw_story5/templates/data_matkul.html
{% extends 'base_template.html' %}

{% load static %}

{% block meta %}
    <link rel="stylesheet" href="{% static 'css/matkul.css' %}">
    <title>Basyira Sabita</title>
{% endblock meta %}

{% block content %}
<div class="intro">
    <h1>Daftar Mata Kuliah</h1>
</div>
<div class="card">
    <div class="card-body">
        <div class="tables-responsive">
            <table class="table" id="data">
                <thead>
                    <tr>
                        <th>Mata Kuliah</th>
                        <th>Detail</th>
                        <th>Delete</th>       
                    </tr>
                </thead>
                <tbody>
                    {% csrf_token %}
                    {% for data in data %}
                    <tr>
                        <td>{{ data.nama_matkul }}</td>
                        <td><button type=submit><a href="{% url 'ppw_story5:detail_url' data.id %}">Detail</a></button></td>
                        <td>
                            <form method="POST" action="">
                                {% csrf_token %}
                                <input name="id" value="{{ data.id }}" type="hidden">
                                <button type="submit">Delete</button>
                            </form>
                        </td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
        <a href="/add"><button class="btn btn-primary btn-lg btn-block">Tambah Mata Kuliah</button></a>
    </div>
</div>

{% endblock content %}

ppw_story5/templates/detail_matkul.html
{% extends 'base_template.html' %}

{% load static %}

{% block meta %}
    <link rel="stylesheet" href="{% static 'css/matkul.css' %}">
    <title>Basyira Sabita</title>
{% endblock meta %}

{% block content %}
<div class="intro">
    <h1>Detail Mata Kuliah</h1>
</div>
<div class="card">
    <div class="card-body">
        <div class="tables-responsive">
            <table class="table" id="data">
                <thead>
                    <tr>
                        <th>Mata Kuliah</th>
                        <th>Dosen</th>
                        <th>Jumlah SKS</th>       
                        <th>Semester/Tahun</th>
                        <th>Ruang</th>
                        <th>Deskripsi</th>
                    </tr>
                </thead>
                <tbody>
                    {% csrf_token %}
                    <tr>
                        <td>{{ data.nama_matkul }}</td>
                        <td>{{ data.dosen_pengajar }}</td>
                        <td>{{ data.jmlh_sks }}</td>
                        <td>{{ data.semester_tahun }}</td>
                        <td>{{ data.ruang_kuliah }}</td>
                        <td>{{ data.deskripsi }}</td>
                    </tr>
                </tbody>
            </table>
        </div>
        <a href="/list-matkul"><button class="btn btn-primary btn-sm">Daftar Mata Kuliah</button></a>
        <form method="POST" action="">
            {% csrf_token %}
            <input name="id" value="{{ data.id }}" type="hidden">
            <button type="submit" class="btn btn-secondary btn-sm">Delete</button>
        </form>
    </div>
</div>

{% endblock content %}

ppw_story5/templates/form_matkul.html
{% extends 'base_template.html' %}

{% load static %}

{% block meta %}
    <link rel="stylesheet" href="{% static 'css/matkul.css' %}">
    <title> Basyira Sabita</title>
{% endblock meta %}

{% block content %}
<div class="intro">
    <div class="row row1">
        <div class="col-4">
            <h1>Tambah Mata Kuliah</h1>
        </div>
        <div class="col-6">
            
        </div>
    </div>
</div>
<div class="main">
    <a href="/list-matkul"><button class="btn btn-primary btn-sm">Daftar Mata Kuliah</button></a>
    <form action="" method="POST" novalidate>
        {% csrf_token %}
        <table class="table">
            {{ form.as_table }}
            <tr>
                <td>
                    <input type="submit" value="Submit" class="btn btn-primary click">
                </td>
            </tr>
        </table>
    </form>
</div>


{% endblock content %}

ppw_story6/templates/form_kegiatan.html
{% extends 'base_template.html' %}

{% load static %}

{% block meta %}
    <title>Basyira Sabita</title>
{% endblock meta %}

{% block content %}
<h1>ISI KEGIATAN</h1>
<form action="/list-kegiatan" method="POST">
    <input id="kegiatan" type="text" name="kegiatan" placeholder="Masukkan kegiatan">
    <button id="kirim" type="submit" name="kirim">Submit</button>
</form>
<a href="/list-kegiatan"><button>Lihat Kegiatan</button></a>

{% endblock content%}

ppw_story6/templates/list_kegiatan.html
{% extends 'base_template.html' %}

{% load static %}

{% block meta %}
    <title>Basyira Sabita</title>
{% endblock meta %}

{% block content %}
<h1>LIST KEGIATAN</h1>
<a href="/form-kegiatan"><button>Isi Kegiatan</button></a>

{% endblock content%}

ppw_story8/templates/cariBuku.html
{% extends 'base_template.html' %}
{% load static %}

{% block meta %}
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<title>Basyira Sabita</title>
{% endblock meta %}

{% block content %}
<div class="container">
    <div class="card">
        <div class="card-body">
            <h2 style="text-align: center;"><b>CARI BUKU</b></h2>
            <div class='search' style="text-align: center; padding-bottom: 20px;">
                <input id='keyword' placeholder="Masukkan kata kunci" style="padding: 5px;">
            </div>
            <div class="table-responsive">
                <table class="table">
                    <thead>
                        <tr>
                            <th>Judul</th>
                            <th>Penulis</th>
                            <th>Deskripsi</th>
                            <th>Cover</th>
                        </tr>
                    </thead>
                    <tbody id="data"></tbody>
                </table>
            </div>
        </div>
    </div>
</div>
{% endblock content %}

{% block script %}
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="{% static 'story8.js' %}"></script>
{% endblock script%}